Get Consolidated E-Way Bill
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/consolidated-bill/{consolidated_ewb_no} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/consolidated-bill/{consolidated_ewb_no}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/consolidated-bill/{consolidated_ewb_no}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"data": {
"enteredDate": "13/05/2024 02:43:00 PM",
"fromPlace": "BANGALORE SOUTH",
"fromState": "29",
"status": "ACT",
"transDocDate": "12/10/2017",
"transDocNo": "1234",
"transMode": "1 ",
"tripSheetEwbBills": [
{
"docDate": "15/12/2017",
"docNo": "7001-2422",
"ewbDate": "13/05/2024 12:55:00 PM",
"ewbNo": 271010079654,
"fromGstin": "27AAACQ3770E004",
"fromTradeName": "welton",
"status": "ACT",
"toGstin": "24AAACQ3770E003",
"toTradeName": "sthuthya",
"totInvValue": 59465,
"userGstin": "27AAACQ3770E004",
"validUpto": "18/05/2024 11:59:00 PM"
},
{
"docDate": "15/12/2017",
"docNo": "7001-2423",
"ewbDate": "13/05/2024 12:55:00 PM",
"ewbNo": 241010079655,
"fromGstin": "27AAACQ3770E004",
"fromTradeName": "welton",
"status": "ACT",
"toGstin": "24AAACQ3770E003",
"toTradeName": "sthuthya",
"totInvValue": 59465,
"userGstin": "27AAACQ3770E004",
"validUpto": "18/05/2024 11:59:00 PM"
}
],
"tripSheetNo": 2210011690,
"userGstin": "27AAACQ3770E004",
"vehicleNo": "KA12AB1234"
},
"status": "1"
},
"timestamp": 1763446641000,
"transaction_id": "20fab0bc-11df-460a-818b-9e9db60f1ff8"
}Get Consolidated E-Way Bill
API to get the consolidate E-Way Bill from GST servers.
GET
/
gst
/
compliance
/
e-way-bill
/
consignor
/
consolidated-bill
/
{consolidated_ewb_no}
Get Consolidated E-Way Bill
Headers
E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the authorization header.
API key for identification
API version
Path Parameters
Was this page helpful?
āI